# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'zenoss_api/version'

Gem::Specification.new do |spec|
  spec.name          = "zenoss_api"
  spec.version       = ZenossApi::VERSION
  spec.authors       = ["Todd Stoll"]
  spec.email         = ["twstoll@gmail.com"]

  spec.summary       = %q{Zenoss API via command line.}
  spec.description   = %q{Execute api calls given the router, method, and parameters. Returns response as json}
  spec.homepage      = ""
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
  #  raise "RubyGems 2.0 or newer is required to protect against " \
  #    "public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = ["zenapi"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_dependency "json"
  spec.add_dependency "io-console", "~> 0.4.5"
  spec.add_dependency "httparty"
end
